org.apache.http.cookie

## Interface Cookie

- All Known Subinterfaces:
    ClientCookie, SetCookie, SetCookie2
  All Known Implementing Classes:
    BasicClientCookie, BasicClientCookie2

      public interface Cookie

  Cookie interface represents a token or short packet of state information (also referred to as "magic-cookie") that the HTTP agent and the target server can exchange to maintain a session. In its simples form an HTTP cookie is merely a name / value pair.

  Please do not use attributes marked as @Obsolete. They have been rendered obsolete by RFC 6265.

  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getComment()` Returns the comment describing the purpose of this cookie, or `null` if no such comment has been defined.
    `String` | `getCommentURL()` If a user agent (web browser) presents this cookie to a user, the cookie's purpose will be described by the information at this URL.
    `String` | `getDomain()` Returns domain attribute of the cookie.
    `Date` | `getExpiryDate()` Returns the expiration `Date` of the cookie, or `null` if none exists.
    `String` | `getName()` Returns the name.
    `String` | `getPath()` Returns the path attribute of the cookie.
    `int[]` | `getPorts()` Get the Port attribute.
    `String` | `getValue()` Returns the value.
    `int` | `getVersion()` Returns the version of the cookie specification to which this cookie conforms.
    `boolean` | `isExpired(Date date)` Returns true if this cookie has expired.
    `boolean` | `isPersistent()` Returns `false` if the cookie should be discarded at the end of the "session"; `true` otherwise.
    `boolean` | `isSecure()` Indicates whether this cookie requires a secure connection.

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name.
      Returns:
        String name The name

    - #### getValue

          String getValue()

      Returns the value.
      Returns:
        String value The current value.

    - #### getComment

          @Obsolete
          String getComment()

      Returns the comment describing the purpose of this cookie, or `null` if no such comment has been defined.
      Returns:
        comment

    - #### getCommentURL

          @Obsolete
          String getCommentURL()

      If a user agent (web browser) presents this cookie to a user, the cookie's purpose will be described by the information at this URL.

    - #### getExpiryDate

          Date getExpiryDate()

      Returns the expiration `Date` of the cookie, or `null` if none exists.

      Note: the object returned by this method is considered immutable. Changing it (e.g. using setTime()) could result in undefined behaviour. Do so at your peril.

      Returns:
        Expiration `Date`, or `null`.

    - #### isPersistent

          boolean isPersistent()

      Returns `false` if the cookie should be discarded at the end of the "session"; `true` otherwise.
      Returns:
        `false` if the cookie should be discarded at the end of the "session"; `true` otherwise

    - #### getDomain

          String getDomain()

      Returns domain attribute of the cookie. The value of the Domain attribute specifies the domain for which the cookie is valid.
      Returns:
        the value of the domain attribute.

    - #### getPath

          String getPath()

      Returns the path attribute of the cookie. The value of the Path attribute specifies the subset of URLs on the origin server to which this cookie applies.
      Returns:
        The value of the path attribute.

    - #### getPorts

          @Obsolete
          int[] getPorts()

      Get the Port attribute. It restricts the ports to which a cookie may be returned in a Cookie request header.

    - #### isSecure

          boolean isSecure()

      Indicates whether this cookie requires a secure connection.
      Returns:
        `true` if this cookie should only be sent over secure connections, `false` otherwise.

    - #### getVersion

          @Obsolete
          int getVersion()

      Returns the version of the cookie specification to which this cookie conforms.
      Returns:
        the version of the cookie.

    - #### isExpired

          boolean isExpired(Date date)

      Returns true if this cookie has expired.
      Parameters:
        `date` - Current time
      Returns:
        `true` if the cookie has expired.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.